org.crosswire.common.xml

## Class SAXEventProviderXMLReader

- java.lang.Object
- - org.crosswire.common.xml.SAXEventProviderXMLReader

- All Implemented Interfaces:
    XMLReader

      public class SAXEventProviderXMLReader
      extends Object
      implements XMLReader

  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ContentHandler` | `content`
    `private SAXEventProvider` | `docIn`
    `private DTDHandler` | `dtds`
    `private EntityResolver` | `entities`
    `private ErrorHandler` | `errors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXEventProviderXMLReader(SAXEventProvider docIn)` Constructor SAXEventProviderXMLReader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentHandler` | `getContentHandler()`
    `DTDHandler` | `getDTDHandler()`
    `EntityResolver` | `getEntityResolver()`
    `ErrorHandler` | `getErrorHandler()`
    `boolean` | `getFeature(String arg0)`
    `Object` | `getProperty(String arg0)`
    `void` | `parse(InputSource is)`
    `void` | `parse(String arg0)`
    `void` | `setContentHandler(ContentHandler content)`
    `void` | `setDTDHandler(DTDHandler dtds)`
    `void` | `setEntityResolver(EntityResolver entities)`
    `void` | `setErrorHandler(ErrorHandler errors)`
    `void` | `setFeature(String arg0, boolean arg1)`
    `void` | `setProperty(String arg0, Object arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docIn

          private SAXEventProvider docIn

    - #### errors

          private ErrorHandler errors

    - #### content

          private ContentHandler content

    - #### dtds

          private DTDHandler dtds

    - #### entities

          private EntityResolver entities

  - ### Constructor Detail

    - #### SAXEventProviderXMLReader

          public SAXEventProviderXMLReader(SAXEventProvider docIn)

      Constructor SAXEventProviderXMLReader.
      Parameters:
        `docIn` - the document provided as SAX events

  - ### Method Detail

    - #### getFeature

          public boolean getFeature(String arg0)

      Specified by:
        `getFeature` in interface `XMLReader`

    - #### setFeature

          public void setFeature(String arg0,
                        boolean arg1)

      Specified by:
        `setFeature` in interface `XMLReader`

    - #### getProperty

          public Object getProperty(String arg0)

      Specified by:
        `getProperty` in interface `XMLReader`

    - #### setProperty

          public void setProperty(String arg0,
                         Object arg1)

      Specified by:
        `setProperty` in interface `XMLReader`

    - #### setEntityResolver

          public void setEntityResolver(EntityResolver entities)

      Specified by:
        `setEntityResolver` in interface `XMLReader`

    - #### getEntityResolver

          public EntityResolver getEntityResolver()

      Specified by:
        `getEntityResolver` in interface `XMLReader`

    - #### setDTDHandler

          public void setDTDHandler(DTDHandler dtds)

      Specified by:
        `setDTDHandler` in interface `XMLReader`

    - #### getDTDHandler

          public DTDHandler getDTDHandler()

      Specified by:
        `getDTDHandler` in interface `XMLReader`

    - #### setContentHandler

          public void setContentHandler(ContentHandler content)

      Specified by:
        `setContentHandler` in interface `XMLReader`

    - #### getContentHandler

          public ContentHandler getContentHandler()

      Specified by:
        `getContentHandler` in interface `XMLReader`

    - #### setErrorHandler

          public void setErrorHandler(ErrorHandler errors)

      Specified by:
        `setErrorHandler` in interface `XMLReader`

    - #### getErrorHandler

          public ErrorHandler getErrorHandler()

      Specified by:
        `getErrorHandler` in interface `XMLReader`

    - #### parse

          public void parse(InputSource is)
                     throws SAXException

      Specified by:
        `parse` in interface `XMLReader`
      Throws:
        `SAXException`

    - #### parse

          public void parse(String arg0)
                     throws SAXException

      Specified by:
        `parse` in interface `XMLReader`
      Throws:
        `SAXException`